"use strict";
"use client";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_1 = require("react");
function useArray(defaultValue) {
    if (defaultValue === void 0) { defaultValue = []; }
    var _a = (0, react_1.useState)(defaultValue), array = _a[0], setArray = _a[1];
    function push(element) {
        setArray(function (a) { return tslib_1.__spreadArray(tslib_1.__spreadArray([], a, true), [element], false); });
    }
    function filter(callback) {
        setArray(function (a) { return a.filter(callback); });
    }
    function update(index, newElement) {
        setArray(function (a) { return tslib_1.__spreadArray(tslib_1.__spreadArray(tslib_1.__spreadArray([], a.slice(0, index), true), [
            newElement
        ], false), a.slice(index + 1, a.length), true); });
    }
    function remove(index) {
        setArray(function (a) { return tslib_1.__spreadArray(tslib_1.__spreadArray([], a.slice(0, index), true), a.slice(index + 1, a.length), true); });
    }
    function clear() {
        setArray([]);
    }
    function find(callback) {
        return array.find(callback);
    }
    function findIndex(callback) {
        return array.findIndex(callback);
    }
    return { array: array, set: setArray, push: push, filter: filter, update: update, remove: remove, clear: clear, find: find, findIndex: findIndex, replace: setArray };
}
exports.default = useArray;
