"use client";
import { useEffect } from "react";
import useMediaQuery from "../useMediaQuery";
import { useLocalStorage } from "../useStorage";
export default function useDarkMode(token) {
    if (token === void 0) { token = "dark-mode"; }
    var _a = useLocalStorage("useDarkMode"), darkMode = _a[0], setDarkMode = _a[1];
    var prefersDarkMode = useMediaQuery("(prefers-color-scheme: dark)");
    var enabled = !!(darkMode !== null && darkMode !== void 0 ? darkMode : prefersDarkMode);
    useEffect(function () {
        document.body.classList.toggle(token, enabled);
    }, [enabled]);
    return [enabled, setDarkMode];
}
