"use client";
import { useCallback, useEffect, useRef } from "react";
export default function useTimeout(callback, delay) {
    var callbackRef = useRef(callback);
    var timeoutRef = useRef(0);
    useEffect(function () {
        callbackRef.current = callback;
    }, [callback]);
    var set = useCallback(function () {
        timeoutRef.current = setTimeout(function () { return callbackRef.current(); }, delay);
    }, [delay]);
    var clear = useCallback(function () {
        timeoutRef.current && clearTimeout(timeoutRef.current);
    }, []);
    useEffect(function () {
        set();
        return clear;
    }, [delay, set, clear]);
    var reset = useCallback(function () {
        clear();
        set();
    }, [clear, set]);
    return { reset: reset, clear: clear };
}
