"use client";
import { useLocalStorage } from "../useStorage";
export default function useTranslation(translations, defaultLanguage) {
    if (defaultLanguage === void 0) { defaultLanguage = "en"; }
    var _a = useLocalStorage("language", defaultLanguage), language = _a[0], setLanguage = _a[1];
    var _b = useLocalStorage("fallbackLanguage", defaultLanguage), fallbackLanguage = _b[0], setFallbackLanguage = _b[1];
    var translate = function (key) {
        var _a, _b;
        var keys = key.split(".");
        return ((_b = (_a = getNestedTranslation(translations, language, keys)) !== null && _a !== void 0 ? _a : getNestedTranslation(translations, fallbackLanguage, keys)) !== null && _b !== void 0 ? _b : key);
    };
    return {
        language: language,
        setLanguage: setLanguage,
        fallbackLanguage: fallbackLanguage,
        setFallbackLanguage: setFallbackLanguage,
        t: translate,
    };
}
function getNestedTranslation(translations, language, keys) {
    if (language === void 0) { language = "en"; }
    var value = keys.reduce(function (obj, key) {
        return typeof obj === "object" ? obj[key] : undefined;
    }, translations[language]);
    return value;
}
